Description

2016-02-20 18:36:18 [app] [W] Action failed

 | ActiveRecord::RecordInvalid: Validation failed: Fact name has already been taken

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/validations.rb:56

:in `save!'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/attribute_methods

/dirty.rb:33:in `save!'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:2

46:in `block in save!'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:2

95:in `block in with_transaction_returning_status'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapte

rs/abstract/database_statements.rb:192:in `transaction'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:2

08:in `transaction'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:2

93:in `with_transaction_returning_status'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:2

46:in `save!'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/has_

many_association.rb:14:in `insert_record'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/coll

ection_association.rb:434:in `block (2 levels) in create_record'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/coll

ection_association.rb:342:in `add_to_target'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/coll

ection_association.rb:432:in `block in create_record'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/coll

ection_association.rb:149:in `block in transaction'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapte

rs/abstract/database_statements.rb:192:in `transaction'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:2

08:in `transaction'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/coll

ection_association.rb:148:in `transaction'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/coll

ection_association.rb:431:in `create_record'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/coll

ection_association.rb:123:in `create!'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/coll

ection_proxy.rb:46:in `create!'

 | /usr/share/foreman/app/services/fact_importer.rb:68:in `block in add_new_facts'

 | /usr/share/foreman/app/services/fact_importer.rb:67:in `each'

 | /usr/share/foreman/app/services/fact_importer.rb:67:in `add_new_facts'

 | /usr/share/foreman/app/services/fact_importer.rb:36:in `import!'

 | /usr/share/foreman/app/models/host/base.rb:121:in `import_facts'
 | /usr/share/foreman/app/models/host/managed.rb:516:in `import_host_and_facts'

 | /usr/share/foreman/app/controllers/api/v2/hosts_controller.rb:229:in `facts'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_

render.rb:4:in `send_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:167:i

n `process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering

.rb:10:in `process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:

18:in `block in process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:51

8:in `block (5 levels) in _run__4159665521148264650__process_action__3913959146988100298__callback

s'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:21

5:in `block in _conditional_callback_around_12599'

 | /usr/share/foreman/app/controllers/api/v2/base_controller.rb:151:in `disable_json_root'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:21

4:in `_conditional_callback_around_12599'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:49

5:in `block (4 levels) in _run__4159665521148264650__process_action__3913959146988100298__callback

s'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:21

5:in `block in _conditional_callback_around_12598'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:32

6:in `around'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:31

0:in `_callback_around_4179'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:21

4:in `_conditional_callback_around_12598'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:48

3:in `block (3 levels) in _run__4159665521148264650__process_action__3913959146988100298__callback

s'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:21

5:in `block in _conditional_callback_around_12597'

 | /usr/share/foreman/app/controllers/concerns/application_shared.rb:13:in `set_timezone'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:21

4:in `_conditional_callback_around_12597'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:48

2:in `block (2 levels) in _run__4159665521148264650__process_action__3913959146988100298__callback

s'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:21

5:in `block in _conditional_callback_around_12596'

 | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:21

4:in `_conditional_callback_around_12596'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:43

7:in `block in _run__4159665521148264650__process_action__3913959146988100298__callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:21

5:in `block in _conditional_callback_around_12595'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:32

6:in `around'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:31

0:in `_callback_around_13'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:21

4:in `_conditional_callback_around_12595'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:40

3:in `_run__4159665521148264650__process_action__3913959146988100298__callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:40

5:in `__run_callback'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:38

5:in `_run_process_action_callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81

:in `run_callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:

17:in `process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rescue.rb

:29:in `process_action'
 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumen

tation.rb:30:in `block in process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.r

b:123:in `block in instrument'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/i

nstrumenter.rb:20:in `instrument'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.r

b:123:in `instrument'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumen

tation.rb:29:in `process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/params_wr

apper.rb:207:in `process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/railties/controll

er_runtime.rb:18:in `process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:121:i

n `process'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:

45:in `process'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:203:in

 `dispatch'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rack_dele

gation.rb:14:in `dispatch'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:246:in

 `block in action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set

.rb:73:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set

.rb:73:in `dispatch'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set

.rb:36:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/mapper.rb

:42:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in ca

ll'

 | /opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'

 | /opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set

.rb:600:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static

.rb:62:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static

.rb:62:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.2.6/lib/apipie/extractor/recorder.r

b:97:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static

.rb:62:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static

.rb:62:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static

.rb:62:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static

.rb:62:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static

.rb:62:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.2.6/lib/apipie/middleware/checksum_

in_headers.rb:27:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/best_s

tandards_support.rb:17:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/etag.rb:23:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/conditionalget.rb:35:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/head.r

b:14:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/params

_parser.rb:21:in `call'

 | /usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/flash.

rb:242:in `call'
 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:205:in `con

text'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:200:in `cal

l'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/cookie

s.rb:339:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/query_cache.rb:64

:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapte

rs/abstract/connection_pool.rb:473:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callba

cks.rb:28:in `block in call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:40

5:in `_run__447091383623118143__call__1612416223908917903__callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:40

5:in `__run_callback'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:38

5:in `_run_call_callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81

:in `run_callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callba

cks.rb:27:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/remote

_ip.rb:31:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/debug_

exceptions.rb:16:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/show_e

xceptions.rb:56:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:26:in `call_ap

p'

 | /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:16:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/reques

t_id.rb:22:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/methodoverride.rb:21:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/runtime.rb:17:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/cache/strategy/

local_cache.rb:72:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/lock.rb:15:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static

.rb:62:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forwa

rd'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:143:in `pass'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:155:in `inval

idate'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:71:in `call!'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:479:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application.rb:223:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in

 `method_missing'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/builder.rb:134:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:64:in `block in call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `each'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `call'

 | /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77

:in `process_request'

 | /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:1

40:in `accept_and_process_next_request'

 | /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:1

08:in `main_loop'

 | /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `block (3

 levels) in start_threads'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:32

3:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:32

3:in `block in create_with_logging_context'
2016-02-20 18:36:18 [app] [I]   Rendered api/v2/errors/standard_error.json.rabl within api/v2/layo

uts/error_layout (1.0ms)

2016-02-20 18:36:18 [app] [I] Completed 500 Internal Server Error in 67ms (Views: 2.6ms | ActiveRe

cord: 9.8ms)

2016-02-20 18:36:18 [app] [I]

 This is causing no show any security groups and we can deploy at this moment in amazon this feature was working fine on 1.9.3 until

we upgrade to 1.10.1 is no working as expected

Related issues:

Related to Salt - Bug #14689: ActiveRecord::RecordInvalid: Validation failed:... Closed 04/18/2016

Related to Foreman - Refactor #14823: Stop saving _timestamp fact New 04/26/2016

Has duplicate Foreman - Bug #14761: _timestamp fact prevents facts upload thr... Duplicate 04/21/2016

Associated revisions

Revision e1985d26 - 04/27/2016 11:45 AM - Marek Hulán

Fixes #13819 - avoid facts mismatches on import

Revision dafd94f2 - 05/16/2016 09:56 AM - Marek Hulán

Fixes #13819 - avoid facts mismatches on import

(cherry picked from commit e1985d26a53d5bc08db98b9ee5097cc11fd777b9)
History

#1 - 02/20/2016 03:16 AM - Mario Gamboa

Also i looking now in any call to the gui a got

 |

 | Started GET "/hosts/nz2zmomsvc01.pp.vficonnect.net.nz" for 172.25.178.7 at 2016-02-20 19:14:13 +1100

2016-02-20 19:14:13 [app] [I] Processing by HostsController#show as HTML

2016-02-20 19:14:13 [app] [I]   Parameters: {"id"=>"nz2zmomsvc01.pp.vficonnect.net.nz"}

2016-02-20 19:14:13 [app] [I] Deface: [WARNING] No :original defined for 'add_system_link_to_host', you should

 change its definition to include:

 |  :original => '68201d5314be8a5aeb05b063bc5cd0afaf58a6c5'

2016-02-20 19:14:13 [app] [I]   Rendered hosts/show.html.erb within layouts/application (130.0ms)

2016-02-20 19:14:13 [app] [I]   Rendered home/_user_dropdown.html.erb (3.5ms)

2016-02-20 19:14:13 [app] [I] Read fragment views/tabs_and_title_records-3 (0.3ms)

2016-02-20 19:14:13 [app] [I]   Rendered home/_topbar.html.erb (6.0ms)

2016-02-20 19:14:13 [app] [I]   Rendered layouts/base.html.erb (9.6ms)

2016-02-20 19:14:13 [app] [I] Completed 200 OK in 277ms (Views: 173.7ms | ActiveRecord: 17.5ms)

2016-02-20 19:14:14 [app] [I]

 |

 | Started GET "/hosts/nz2zmomsvc01.pp.vficonnect.net.nz/overview" for 172.25.178.7 at 2016-02-20 19:14:14 +11

00

2016-02-20 19:14:14 [app] [I]

 |

 | Started GET "/hosts/nz2zmomsvc01.pp.vficonnect.net.nz/templates" for 172.25.178.7 at 2016-02-20 19:14:14 +1

100

2016-02-20 19:14:14 [app] [I] Processing by HostsController#templates as HTML

2016-02-20 19:14:14 [app] [I]   Parameters: {"id"=>"nz2zmomsvc01.pp.vficonnect.net.nz"}

2016-02-20 19:14:14 [app] [I] Processing by HostsController#overview as HTML

2016-02-20 19:14:14 [app] [I]   Parameters: {"id"=>"nz2zmomsvc01.pp.vficonnect.net.nz"}

2016-02-20 19:14:14 [app] [I]

 |

 | Started GET "/hosts/nz2zmomsvc01.pp.vficonnect.net.nz/nics" for 172.25.178.7 at 2016-02-20 19:14:14 +1100

2016-02-20 19:14:14 [app] [I] Processing by HostsController#nics as HTML

2016-02-20 19:14:14 [app] [I]   Parameters: {"id"=>"nz2zmomsvc01.pp.vficonnect.net.nz"}

2016-02-20 19:14:14 [app] [I]   Rendered text template (0.0ms)

2016-02-20 19:14:14 [app] [I] Completed 200 OK in 51ms (Views: 1.1ms | ActiveRecord: 6.6ms)

2016-02-20 19:14:14 [app] [I] Deface: [WARNING] No :original defined for 'add_system_status_to_host', you shou

ld change its definition to include:

 |  :original => '68e6b32c550fbc7beca04e60b2851003b1f3afed'

2016-02-20 19:14:14 [app] [I]
 |

 | Started GET "/hosts/nz2zmomsvc01.pp.vficonnect.net.nz/runtime?range=7" for 172.25.178.7 at 2016-02-20 19:14

:14 +1100

2016-02-20 19:14:14 [app] [I] Processing by HostsController#runtime as HTML

2016-02-20 19:14:14 [app] [I]   Parameters: {"range"=>"7", "id"=>"nz2zmomsvc01.pp.vficonnect.net.nz"}

2016-02-20 19:14:14 [app] [I]   Rendered hosts/_overview.html.erb (105.0ms)

2016-02-20 19:14:14 [app] [I] Completed 200 OK in 174ms (Views: 111.4ms | ActiveRecord: 23.9ms)

2016-02-20 19:14:14 [app] [I]

 |

 | Started GET "/hosts/nz2zmomsvc01.pp.vficonnect.net.nz/resources?range=7" for 172.25.178.7 at 2016-02-20 19:

14:14 +1100

2016-02-20 19:14:14 [app] [I] Processing by HostsController#resources as HTML

2016-02-20 19:14:14 [app] [I]   Parameters: {"range"=>"7", "id"=>"nz2zmomsvc01.pp.vficonnect.net.nz"}

2016-02-20 19:14:14 [app] [I]   Rendered hosts/_resources.html.erb (40.6ms)

2016-02-20 19:14:14 [app] [I] Completed 200 OK in 65ms (Views: 41.3ms | ActiveRecord: 4.6ms)

2016-02-20 19:14:14 [app] [I]   Rendered hosts/_runtime.html.erb (272.2ms)

2016-02-20 19:14:14 [app] [I] Completed 200 OK in 323ms (Views: 273.8ms | ActiveRecord: 9.6ms)

2016-02-20 19:14:15 [app] [I]   Rendered hosts/_nics.html.erb (366.2ms)

2016-02-20 19:14:15 [app] [I] Completed 200 OK in 590ms (Views: 365.6ms | ActiveRecord: 10.7ms)

2016-02-20 19:14:48 [app] [I]

 |

 | Started GET "/node/nz2zmomsvc01.pp.vficonnect.net.nz?format=yml" for 172.25.176.245 at 2016-02-20 19:14:48 

+1100

2016-02-20 19:14:48 [app] [I] Processing by HostsController#externalNodes as YML

2016-02-20 19:14:48 [app] [I]   Parameters: {"name"=>"nz2zmomsvc01.pp.vficonnect.net.nz"}

2016-02-20 19:14:49 [app] [I]   Rendered text template (0.0ms)

2016-02-20 19:14:49 [app] [I] Completed 200 OK in 852ms (Views: 6.4ms | ActiveRecord: 51.2ms)

2016-02-20 19:14:59 [app] [I]

 |

 | Started POST "/api/hosts/facts" for 172.25.176.245 at 2016-02-20 19:14:59 +1100

2016-02-20 19:14:59 [app] [I] Processing by Api::V2::HostsController#facts as JSON

2016-02-20 19:14:59 [app] [I]   Parameters: {"facts"=>"[FILTERED]", "name"=>"nz2zmomsvc01.pp.vficonnect.net.nz

", "certname"=>"nz2zmomsvc01.pp.vficonnect.net.nz", "apiv"=>"v2", :host=>{"name"=>"nz2zmomsvc01.pp.vficonnect.

net.nz", "certname"=>"nz2zmomsvc01.pp.vficonnect.net.nz"}}

2016-02-20 19:14:59 [app] [W] Action failed

 | ActiveRecord::RecordInvalid: Validation failed: Fact name has already been taken

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/validations.rb:56:in `save!'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/attribute_methods/dirty.rb:33

:in `save!'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:246:in `block

 in save!'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:295:in `block

 in with_transaction_returning_status'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/

database_statements.rb:192:in `transaction'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:208:in `trans

action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:293:in `with_

transaction_returning_status'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:246:in `save!

'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/has_many_associa

tion.rb:14:in `insert_record'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_assoc

iation.rb:434:in `block (2 levels) in create_record'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_assoc

iation.rb:342:in `add_to_target'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_assoc

iation.rb:432:in `block in create_record'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_assoc

iation.rb:149:in `block in transaction'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/

database_statements.rb:192:in `transaction'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:208:in `trans

action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_assoc

iation.rb:148:in `transaction'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_assoc

iation.rb:431:in `create_record'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_assoc

iation.rb:123:in `create!'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_proxy

.rb:46:in `create!'

 | /usr/share/foreman/app/services/fact_importer.rb:68:in `block in add_new_facts'

 | /usr/share/foreman/app/services/fact_importer.rb:67:in `each'
 | /usr/share/foreman/app/services/fact_importer.rb:67:in `add_new_facts'

 | /usr/share/foreman/app/services/fact_importer.rb:36:in `import!'

 | /usr/share/foreman/app/models/host/base.rb:121:in `import_facts'

 | /usr/share/foreman/app/models/host/managed.rb:516:in `import_host_and_facts'

 | /usr/share/foreman/app/controllers/api/v2/hosts_controller.rb:229:in `facts'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_render.rb:4:

in `send_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:167:in `process_a

ction'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb:10:in `p

rocess_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:18:in `block

 in process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:518:in `block 

(5 levels) in _run__4572157609647762498__process_action__597263410290380120__callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block 

in _conditional_callback_around_12630'

 | /usr/share/foreman/app/controllers/api/v2/base_controller.rb:151:in `disable_json_root'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_condi

tional_callback_around_12630'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:495:in `block 

(4 levels) in _run__4572157609647762498__process_action__597263410290380120__callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block 

in _conditional_callback_around_12629'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in `around

'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in `_callb

ack_around_4179'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_condi

tional_callback_around_12629'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:483:in `block 

(3 levels) in _run__4572157609647762498__process_action__597263410290380120__callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block 

in _conditional_callback_around_12628'

 | /usr/share/foreman/app/controllers/concerns/application_shared.rb:13:in `set_timezone'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_condi

tional_callback_around_12628'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:482:in `block 

(2 levels) in _run__4572157609647762498__process_action__597263410290380120__callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block 

in _conditional_callback_around_12627'

 | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_condi

tional_callback_around_12627'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:437:in `block 

in _run__4572157609647762498__process_action__597263410290380120__callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block 

in _conditional_callback_around_12626'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in `around

'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in `_callb

ack_around_13'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_condi

tional_callback_around_12626'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:403:in `_run__

4572157609647762498__process_action__597263410290380120__callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_

callback'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_p

rocess_action_callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_cal

lbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:17:in `proce

ss_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rescue.rb:29:in `proc

ess_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:30

:in `block in process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `bl

ock in instrument'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/instrumenter.

rb:20:in `instrument'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `in

strument'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:29
:in `process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/params_wrapper.rb:207

:in `process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/railties/controller_runtime.r

b:18:in `process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:121:in `process'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:45:in `proce

ss'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:203:in `dispatch'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rack_delegation.rb:14

:in `dispatch'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:246:in `block in a

ction'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `c

all'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `d

ispatch'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:36:in `c

all'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/mapper.rb:42:in `call

'

 | /opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'

 | /opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:600:in `

call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `c

all'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `c

all'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.2.6/lib/apipie/extractor/recorder.rb:97:in `cal

l'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `c

all'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `c

all'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `c

all'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `c

all'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `c

all'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.2.6/lib/apipie/middleware/checksum_in_headers.r

b:27:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/best_standards_sup

port.rb:17:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/etag.rb:23:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/conditionalget.rb:35:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/head.rb:14:in `cal

l'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/params_parser.rb:2

1:in `call'

 | /usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/flash.rb:242:in `c

all'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:205:in `context'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:200:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/cookies.rb:339:in 

`call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/query_cache.rb:64:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/

connection_pool.rb:473:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:28:in

 `block in call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `_run__

4321019216420574445__call__4171069280661796146__callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_

callback'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_c

all_callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_cal

lbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:27:in

 `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/remote_ip.rb:31:in
 `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/debug_exceptions.r

b:16:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/show_exceptions.rb

:56:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:26:in `call_app'

 | /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:16:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/request_id.rb:22:i

n `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/methodoverride.rb:21:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/runtime.rb:17:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/cache/strategy/local_cache.

rb:72:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/lock.rb:15:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `c

all'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forward'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:143:in `pass'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:155:in `invalidate'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:71:in `call!'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:479:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application.rb:223:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in `method_mis

sing'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/builder.rb:134:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:64:in `block in call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `each'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `call'

 | /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process

_request'

 | /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in `accep

t_and_process_next_request'

 | /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_

loop'

 | /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in 

start_threads'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `block 

in create_with_logging_context'

2016-02-20 19:14:59 [app] [I]   Rendered api/v2/errors/standard_error.json.rabl within api/v2/layouts/error_la

yout (2.0ms)

2016-02-20 19:14:59 [app] [I] Completed 500 Internal Server Error in 175ms (Views: 7.6ms | ActiveRecord: 20.5m

s)

2016-02-20 19:14:59 [app] [I]

 |

 | Started GET "/node/nz2zmomsvc01.pp.vficonnect.net.nz?format=yml" for 172.25.176.245 at 2016-02-20 19:14:59 

+1100

2016-02-20 19:14:59 [app] [I] Processing by HostsController#externalNodes as YML

2016-02-20 19:14:59 [app] [I]   Parameters: {"name"=>"nz2zmomsvc01.pp.vficonnect.net.nz"}

2016-02-20 19:15:00 [app] [I]   Rendered text template (0.0ms)

2016-02-20 19:15:00 [app] [I] Completed 200 OK in 521ms (Views: 0.9ms | ActiveRecord: 29.1ms)

2016-02-20 19:15:00 [app] [I]

 |

 | Started GET "/node/nz2zmomweb01.pp.vficonnect.net.nz?format=yml" for 172.25.176.245 at 2016-02-20 19:15:00 

+1100

2016-02-20 19:15:00 [app] [I] Processing by HostsController#externalNodes as YML

2016-02-20 19:15:00 [app] [I]   Parameters: {"name"=>"nz2zmomweb01.pp.vficonnect.net.nz"}

2016-02-20 19:15:01 [app] [I]   Rendered text template (0.0ms)

2016-02-20 19:15:01 [app] [I] Completed 200 OK in 143ms (Views: 0.8ms | ActiveRecord: 13.3ms)

2016-02-20 19:15:02 [app] [I]

 |

 | Started POST "/api/reports" for 172.25.176.245 at 2016-02-20 19:15:02 +1100

2016-02-20 19:15:02 [app] [I] Processing by Api::V2::ReportsController#create as JSON

2016-02-20 19:15:02 [app] [I]   Parameters: {"report"=>"[FILTERED]", "apiv"=>"v2"}

2016-02-20 19:15:02 [app] [I] processing report for nz2zmomsvc01.pp.vficonnect.net.nz

2016-02-20 19:15:02 [app] [I] Imported report for nz2zmomsvc01.pp.vficonnect.net.nz in 0.11 seconds

2016-02-20 19:15:02 [app] [I]   Rendered api/v2/reports/create.json.rabl (15.2ms)

2016-02-20 19:15:02 [app] [I] Completed 201 Created in 226ms (Views: 14.7ms | ActiveRecord: 30.4ms)

2016-02-20 19:15:06 [app] [I]

 |

 | Started POST "/api/hosts/facts" for 172.25.176.245 at 2016-02-20 19:15:06 +1100

2016-02-20 19:15:06 [app] [I] Processing by Api::V2::HostsController#facts as JSON

2016-02-20 19:15:06 [app] [I]   Parameters: {"facts"=>"[FILTERED]", "name"=>"nz2zmomweb01.pp.vficonnect.net.nz

", "certname"=>"nz2zmomweb01.pp.vficonnect.net.nz", "apiv"=>"v2", :host=>{"name"=>"nz2zmomweb01.pp.vficonnect.
net.nz", "certname"=>"nz2zmomweb01.pp.vficonnect.net.nz"}}

2016-02-20 19:15:06 [app] [W] Action failed

 | ActiveRecord::RecordInvalid: Validation failed: Fact name has already been taken

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/validations.rb:56:in `save!'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/attribute_methods/dirty.rb:33

:in `save!'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:246:in `block

 in save!'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:295:in `block

 in with_transaction_returning_status'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/

database_statements.rb:192:in `transaction'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:208:in `trans

action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:293:in `with_

transaction_returning_status'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:246:in `save!

'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/has_many_associa

tion.rb:14:in `insert_record'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_assoc

iation.rb:434:in `block (2 levels) in create_record'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_assoc

iation.rb:342:in `add_to_target'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_assoc

iation.rb:432:in `block in create_record'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_assoc

iation.rb:149:in `block in transaction'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/

database_statements.rb:192:in `transaction'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:208:in `trans

action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_assoc

iation.rb:148:in `transaction'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_assoc

iation.rb:431:in `create_record'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_assoc

iation.rb:123:in `create!'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_proxy

.rb:46:in `create!'

 | /usr/share/foreman/app/services/fact_importer.rb:68:in `block in add_new_facts'

 | /usr/share/foreman/app/services/fact_importer.rb:67:in `each'

 | /usr/share/foreman/app/services/fact_importer.rb:67:in `add_new_facts'

 | /usr/share/foreman/app/services/fact_importer.rb:36:in `import!'

 | /usr/share/foreman/app/models/host/base.rb:121:in `import_facts'

 | /usr/share/foreman/app/models/host/managed.rb:516:in `import_host_and_facts'

 | /usr/share/foreman/app/controllers/api/v2/hosts_controller.rb:229:in `facts'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_render.rb:4:

in `send_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:167:in `process_a

ction'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb:10:in `p

rocess_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:18:in `block

 in process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:518:in `block 

(5 levels) in _run__4572157609647762498__process_action__597263410290380120__callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block 

in _conditional_callback_around_12630'

 | /usr/share/foreman/app/controllers/api/v2/base_controller.rb:151:in `disable_json_root'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_condi

tional_callback_around_12630'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:495:in `block 

(4 levels) in _run__4572157609647762498__process_action__597263410290380120__callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block 

in _conditional_callback_around_12629'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in `around

'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in `_callb

ack_around_4179'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_condi

tional_callback_around_12629'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:483:in `block 

(3 levels) in _run__4572157609647762498__process_action__597263410290380120__callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block 
in _conditional_callback_around_12628'

 | /usr/share/foreman/app/controllers/concerns/application_shared.rb:13:in `set_timezone'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_condi

tional_callback_around_12628'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:482:in `block 

(2 levels) in _run__4572157609647762498__process_action__597263410290380120__callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block 

in _conditional_callback_around_12627'

 | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_condi

tional_callback_around_12627'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:437:in `block 

in _run__4572157609647762498__process_action__597263410290380120__callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block 

in _conditional_callback_around_12626'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in `around

'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in `_callb

ack_around_13'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_condi

tional_callback_around_12626'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:403:in `_run__

4572157609647762498__process_action__597263410290380120__callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_

callback'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_p

rocess_action_callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_cal

lbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:17:in `proce

ss_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rescue.rb:29:in `proc

ess_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:30

:in `block in process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `bl

ock in instrument'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/instrumenter.

rb:20:in `instrument'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `in

strument'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:29

:in `process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/params_wrapper.rb:207

:in `process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/railties/controller_runtime.r

b:18:in `process_action'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:121:in `process'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:45:in `proce

ss'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:203:in `dispatch'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rack_delegation.rb:14

:in `dispatch'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:246:in `block in a

ction'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `c

all'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `d

ispatch'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:36:in `c

all'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/mapper.rb:42:in `call

'

 | /opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'

 | /opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:600:in `

call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `c

all'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `c

all'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.2.6/lib/apipie/extractor/recorder.rb:97:in `cal

l'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `c
all'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `c

all'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `c

all'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `c

all'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `c

all'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.2.6/lib/apipie/middleware/checksum_in_headers.r

b:27:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/best_standards_sup

port.rb:17:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/etag.rb:23:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/conditionalget.rb:35:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/head.rb:14:in `cal

l'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/params_parser.rb:2

1:in `call'

 | /usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/flash.rb:242:in `c

all'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:205:in `context'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:200:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/cookies.rb:339:in 

`call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/query_cache.rb:64:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/

connection_pool.rb:473:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:28:in

 `block in call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `_run__

4321019216420574445__call__4171069280661796146__callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_

callback'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_c

all_callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_cal

lbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:27:in

 `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/remote_ip.rb:31:in

 `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/debug_exceptions.r

b:16:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/show_exceptions.rb

:56:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:26:in `call_app'

 | /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:16:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/request_id.rb:22:i

n `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/methodoverride.rb:21:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/runtime.rb:17:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/cache/strategy/local_cache.

rb:72:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/lock.rb:15:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `c

all'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forward'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:143:in `pass'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:155:in `invalidate'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:71:in `call!'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:479:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application.rb:223:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in `method_mis

sing'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/builder.rb:134:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:64:in `block in call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `each'

 | /opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `call'

 | /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process

_request'

 | /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in `accep

t_and_process_next_request'
 | /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_

loop'

 | /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in 

start_threads'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `block 

in create_with_logging_context'

2016-02-20 19:15:06 [app] [I]   Rendered api/v2/errors/standard_error.json.rabl within api/v2/layouts/error_la

yout (1.7ms)

2016-02-20 19:15:06 [app] [I] Completed 500 Internal Server Error in 103ms (Views: 4.0ms | ActiveRecord: 15.3m

s)

2016-02-20 19:15:06 [app] [I]

 |

#2 - 02/20/2016 03:20 AM - Mario Gamboa

- File foreman-debug-xIffN.tar.xz added

Foreman-debug attached :)

#3 - 02/20/2016 03:22 AM - Mario Gamboa

Edited: duplicate comment?

#4 - 02/22/2016 04:25 AM - Ivan Necas

- Project changed from Foreman Remote Execution to Foreman

- Category set to Compute resources - EC2

#5 - 02/22/2016 05:53 AM - Dominic Cleal

- Subject changed from When select the network to see the security groups for amazon ec2 foreman crash showing the following issue in the logs to

Fact imports fail with: Validation failed: Fact name has already been taken

- Description updated

I have no idea what the association between security groups/EC2 is and the log you posted, there is none.  The log is from a Puppet/config

management facts import and is nothing to do with the EC2 UI.  If you have a bug with the UI then that needs filing separately.

I've updated this bug to be about the log file you posted (and fixed the formatting - please wrap logs in "pre" HTML tags).

#6 - 02/22/2016 05:53 AM - Dominic Cleal

- Category changed from Compute resources - EC2 to Importers

- Priority changed from High to Normal

#7 - 04/21/2016 02:51 AM - Marek Hulán

- Bugzilla link set to 1327576

#8 - 04/21/2016 02:51 AM - Marek Hulán

- Related to Bug #14689: ActiveRecord::RecordInvalid: Validation failed: Name has already been taken added

#9 - 04/22/2016 02:48 AM - Dominic Cleal

- Has duplicate Bug #14761: _timestamp fact prevents facts upload through Foreman facts update added

#10 - 04/22/2016 02:49 AM - Dominic Cleal

#14761 has some more info about a possible cause.

#11 - 04/22/2016 09:28 AM - Michael Brown

Dominic Cleal wrote:

#14761 has some more info about a possible cause.

 @Dominic Cleal:  We have tested a possible fix, the code of which is below.  It's not elegant, but it is effective.  Our facts uploads have started

working on all our reporting agent platforms since then, including any new facts added.

--- /usr/share/foreman/app/services/fact_importer.rb.bak    2016-04-20 19:23:30.257425909 +0000

+++ /usr/share/foreman/app/services/fact_importer.rb    2016-04-21 17:47:45.515195610 +0000
@@ -65,8 +65,11 @@

       method          = host.new_record? ? :build : :create!

       fact_names      = fact_name_class.group(:name).maximum(:id)

       facts_to_create.each do |name|

-        host.fact_values.send(method, :value => facts[name],

+        if name != "_timestamp" 

+          logger.info("facts_to_create called for fact '#{name}'")

+          host.fact_values.send(method, :value => facts[name],

                               :fact_name_id  => fact_names[name] || fact_name_class.create!(:name => name).id

)

+        end 

       end

     end

 Recommend this (or something like it) be added for 1.10.4, as this is presently a regression from 1.9's functionality, and affects some users of all

current 1.10 versions.  Some of us are deploying this along with Katello 2.4, so we're trying to maintain the released combination of Foreman 1.10

and Katello 2.4, and the inability to upload facts does cause some significant issues with Puppet.

Thanks in advance for your time and consideration in this!

/Mike

#12 - 04/22/2016 09:30 AM - Dominic Cleal

Please submit patches as pull requests via GitHub - more information at http://theforeman.org/contribute.html and 

http://theforeman.org/handbook.html, we can't merge them from a comment on a ticket.  When a change is merged then we can evaluate which

release it goes into.

#13 - 04/22/2016 11:13 AM - Michael Brown

Dominic Cleal wrote:

Please submit patches as pull requests via GitHub - more information at http://theforeman.org/contribute.html and 

http://theforeman.org/handbook.html, we can't merge them from a comment on a ticket.  When a change is merged then we can evaluate which

release it goes into.

 Pull request submitted: mkbrown-patch-13819

Thanks!

/Mike

#14 - 04/22/2016 11:44 AM - Michael Brown

Michael Brown wrote:

Dominic Cleal wrote:

Please submit patches as pull requests via GitHub - more information at http://theforeman.org/contribute.html and 

http://theforeman.org/handbook.html, we can't merge them from a comment on a ticket.  When a change is merged then we can evaluate

which release it goes into.

 Pull request submitted: mkbrown-patch-13819

Thanks!

/Mike

 Correction:  I tried to submit, but it's just local to my repo.  Trying to avoid issues with our firewalls by doing it as a copy/paste via the GitHub GUI;

have to reconfigure git to work with our firewalls/proxy and not break my local config.  Will re-submit properly when that's done.

/Mike

#15 - 04/22/2016 03:04 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3456 added

#16 - 04/22/2016 03:29 PM - Michael Brown

Michael Brown wrote:

Michael Brown wrote:
Dominic Cleal wrote:

Please submit patches as pull requests via GitHub - more information at http://theforeman.org/contribute.html and 

http://theforeman.org/handbook.html, we can't merge them from a comment on a ticket.  When a change is merged then we can

evaluate which release it goes into.

 Pull request submitted: mkbrown-patch-13819

Thanks!

/Mike

 Correction:  I tried to submit, but it's just local to my repo.  Trying to avoid issues with our firewalls by doing it as a copy/paste via the GitHub

GUI; have to reconfigure git to work with our firewalls/proxy and not break my local config.  Will re-submit properly when that's done.

/Mike

 PR Now submitted, and an e-mail has been sent to the Foreman-dev mailing list as detailed in the contribute page.

PR: https://github.com/theforeman/foreman/pull/3456

Thanks!

/Mike

#17 - 04/26/2016 08:19 AM - The Foreman Bot

- Assignee set to Marek Hulán

- Pull request https://github.com/theforeman/foreman/pull/3465 added

#18 - 04/26/2016 11:34 AM - Marek Hulán

- Related to Refactor #14823: Stop saving _timestamp fact added

#19 - 04/27/2016 12:02 PM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e1985d26a53d5bc08db98b9ee5097cc11fd777b9.

#20 - 04/28/2016 02:35 AM - Marek Hulán

- translation missing: en.field_release set to 152

Setting a target release to 1.10.4 as it was requested by user who tested it. It should be safe and easy to apply. The issue was present in Foreman

prior 1.4 (at that point I stopped searching). If others think it's too risky, please feel free to change.

#21 - 07/17/2017 03:16 AM - Lukas Zapletal

- Pull request deleted (https://github.com/theforeman/foreman/pull/3456)

The other PR was removed from this ticket and new issue was created for it: #14823

Files

foreman-debug-xIffN.tar.xz 867 KB 02/20/2016 Mario Gamboa
